Subject: Re: [PATCH 7/7] make "git fetch" update all fetch repositories

From: Junio C Hamano <[email-masked]>
Date: Tue, 29 Apr 2008 16:17:42 -0700

Jeff King <[email-masked]> writes:

> I wonder this a bit, too, and I am even somebody who _likes_ the new
> behavior. But there is a difference between "should have been designed
> this way in the first place" and "is currently designed some other way,
> and will cause pain to switch it to this way."
>
> So it might simply not be worth the trouble to change. OTOH, I think
> this is how we end up with many commands to do slightly different
> things, which can end up confusing new users. I'm not sure what the
> right answer is.

Well, the thing is, push and fetch are different, so expecting the same
behaviour and syntax from them is a lost cause to begin with.  Even if we
were designing fetch and push right now, I do not necessarily think the
series shows a way that "should have been designed in the first place".